$schema: http://support.riverbed.com/apis/service_def/2.2
description: Configures the login banner
id: http://support.riverbed.com/apis/npm.banner/1.1
name: npm.banner
provider: riverbed
resources:
  settings:
    additionalProperties: false
    description: Login banner settings
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/settings'
      self:
        path: $/settings
      set:
        method: PUT
        request:
          $ref: '#/resources/settings'
        response:
          $ref: '#/resources/settings'
    properties:
      banner:
        description: Text to show prior to authenticating
        type: string
      require_acknowledgement:
        default: false
        description: 'Users must acknowledge the banner before any login. This is
          enforced by the user interfaces.

          '
        type: boolean
    required:
    - banner
    type: object
  settings_view:
    additionalProperties: false
    description: Read-only occess to banner settings
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/settings_view'
      self:
        path: $/settings_view
    properties:
      banner:
        description: Text to show prior to authenticating
        type: string
      require_acknowledgement:
        description: 'Users must acknowledge the banner before any login. This is
          enforced by the user interfaces.

          '
        type: boolean
    required:
    - banner
    - require_acknowledgement
    type: object
title: npm svc banner
version: '1.1'
